## imcode.server.document
Class XmlDocumentBuilder

    java.lang.Object
      imcode.server.document.XmlDocumentBuilder

    public class XmlDocumentBuilder

extends java.lang.Object

Constructor Summary
`XmlDocumentBuilder(UserDomainObject user)`

Method Summary
`void` `addDocument(DocumentDomainObject document)`
`org.w3c.dom.Document` `getXmlDocument()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XmlDocumentBuilder

    public XmlDocumentBuilder(UserDomainObject user)

Method Detail

### addDocument

    public void addDocument(DocumentDomainObject document)

### getXmlDocument

    public org.w3c.dom.Document getXmlDocument()